installer crash when user choose to install additional software: http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_10.3.183.10.orig.tar.gz doesn't exist

Bug #870281 reported by Jeff Ginger on 2011-10-07
214
This bug affects 28 people
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Unassigned
flashplugin-nonfree (Ubuntu)
High
Marc Deslauriers
Oneiric
High
Marc Deslauriers

Bug Description

Tried to reinstall with a nightly build and it crashed near the end.

While the fix has been released it is possible that some mirrors are out of date and do not have the latest version of flashplugin-downloader. Known mirrors that are out of date include:

si.archive.ubuntu.com
se.archive.ubuntu.com
pl.archive.ubuntu.com
no.archive.ubuntu.com
es.archive.ubuntu.com
dk.archive.ubuntu.com

WORKAROUND:
At installer step 'Prepare to install Ubuntu', don't check 'Install this third-party software'

ProblemType: BugDistroRelease: Ubuntu 11.10
Package: ubiquity 2.8.4
ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
Uname: Linux 3.0.0-12-generic x86_64
ApportVersion: 1.23-0ubuntu2
Architecture: amd64
CasperVersion: 1.284
Date: Fri Oct 7 15:27:59 2011
LiveMediaBuild: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20111006)
ProcEnviron:
 LANGUAGE=
 PATH=(custom, no user)
 LANG=en_US.UTF-8SourcePackage: ubiquity
UpgradeStatus: No upgrade log present (probably fresh install)

Jeff Ginger (thejeffginger) wrote :
Sam_ (and-sam) on 2011-10-07
affects: ubuntu → ubiquity (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubiquity (Ubuntu):
status: New → Confirmed
Jean-Baptiste Lallement (jibel) wrote :

Thanks for your report.

The root cause of the error is
Oct 7 15:11:33 ubuntu ubiquity: Downloading...
Oct 7 15:11:33 ubuntu ubiquity: --2011-10-07 15:11:33-- http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_10.3.183.10.orig.tar.gz
Oct 7 15:11:33 ubuntu ubiquity: Resolving archive.canonical.com...
Oct 7 15:11:33 ubuntu ubiquity: 91.189.88.33
Oct 7 15:11:33 ubuntu ubiquity: Connecting to archive.canonical.com|91.189.88.33|:80...
Oct 7 15:11:33 ubuntu ubiquity: connected.
Oct 7 15:11:33 ubuntu ubiquity: HTTP request sent, awaiting response...
Oct 7 15:11:34 ubuntu ubiquity: 404 Not Found
Oct 7 15:11:34 ubuntu ubiquity: 2011-10-07 15:11:34 ERROR 404: Not Found.

the file is not available from the server and as a consequence the installation crashes with a dpkg error.

Changed in ubiquity (Ubuntu Oneiric):
importance: Undecided → High
summary: - tried to reinstall with a nightly build, crashed midstream
+ http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-
+ flashplugin_10.3.183.10.orig.tar.gz doesn't exist

that's the same issue than bug 861584

summary: + installer crash when user choose to install additional software:
http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-
flashplugin_10.3.183.10.orig.tar.gz doesn't exist
tags: added: iso-testing
tags: added: rls-mgr-o-tracking
Steve Langasek (vorlon) wrote :

not an issue in ubiquity. The flashplugin-nonfree package needs updating.

Changed in ubiquity (Ubuntu Oneiric):
assignee: nobody → Marc Deslauriers (mdeslaur)
affects: ubiquity (Ubuntu Oneiric) → flashplugin-nonfree (Ubuntu Oneiric)
Changed in flashplugin-nonfree (Ubuntu Oneiric):
assignee: Marc Deslauriers (mdeslaur) → nobody
status: Confirmed → Triaged
Changed in flashplugin-nonfree (Ubuntu Oneiric):
assignee: nobody → Marc Deslauriers (mdeslaur)
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package flashplugin-nonfree - 11.0.1.152ubuntu1

---------------
flashplugin-nonfree (11.0.1.152ubuntu1) oneiric; urgency=low

  * New upstream release 11.0.1.152 (LP: #870281)
    - debian/flashplugin-download.{config,postinst}: Updated sha256sums and
      version.
    - debian/flashplugin-download.postinst: properly exit with an error if
      something goes wrong.
 -- Marc Deslauriers <email address hidden> Fri, 07 Oct 2011 20:13:36 -0400

Changed in flashplugin-nonfree (Ubuntu Oneiric):
status: Triaged → Fix Released
Hansen (moteprime) wrote :

i can confirm that running the install without "Installing additional software", the installation complete successfully.

description: updated
description: updated
description: updated
description: updated
Changed in ubuntu-release-notes:
status: New → Invalid
status: Invalid → Incomplete
Changed in ubuntu-release-notes:
status: Incomplete → Invalid

Confirmed that there is no problem with the full release of ubuntu 11.10.

No, I think this bug still exists. I face the same problem while installing stable release 11.10.

To post a comment you must log in.